# Start WordPress

### A Theme for Learning WordPress

You know HTML, CSS, and JavaScript. You can make beautiful websites. Maybe you’ve heard about WordPress, but aren’t entirely sure how to implement it, or why you might need it. Maybe a client asked for WordPress, but you’re not really familiar with it. Maybe you’ve worked with it before, but don’t know how to make your own theme from scratch. Whatever the case, this article is for you.

Read the article on [Developing a Wordpress Theme from Scratch](http://www.taniarascia.com/developing-a-wordpress-theme-from-scratch/), [Part Two](http://www.taniarascia.com/wordpress-from-scratch-part-two), and [Part Three](https://www.taniarascia.com/wordpress-part-three-custom-fields-and-metaboxes/).

## Prerequisites

All you need to start is a website. Any website will do. You don’t need to know any PHP, or have any prior experience with WordPress. Your website can be custom, or built on Bootstrap/some other framework.

You do need to know how to set up a local server environment. Fortunately, if you don’t know how, I wrote a short, sweet article about getting set up with one. [It will only take a few minutes, so go ahead and do that first.](http://www.taniarascia.com/local-environment/)

## Goals

* Install WordPress locally
* Take an existing HTML website (based on Bootstrap) and convert it into a custom WordPress theme
* [Migrate WordPress to a live server](http://www.taniarascia.com/migrating-a-wordpress-site-to-a-live-server/)

## Topics covered

* What can WordPress do for me?
* Creating a design
* Installing WordPress
* Creating your custom theme
* Make blog posts
* Make pages
* Include pagination
* Include comments
* Learn how to use functions
* Create custom post types
* Migrating WordPress

## Layout pages 

* Header - `header.php`
* Footer - `footer.php`
* Content - `content.php`
* Sidebar - `sidebar.php`
* Single Post - `single.php`
* Page - `page.php`
* Index - `index.html`
* Comments - `comments.php`
* Functions - `functions.php`

## The Loop

* Posts
* Pages
* Custom Post Types
* Comments

## Functions

* Learn how to use `functions.php`
* Properly enqueue styles and scripts
* Include featured images
* Correctly insert WordPress title
* Create custom global settings fields
* Create custom post types

## Summary

* [Install a local server with WAMP](http://www.taniarascia.com/local-environment/)
* [Turn a custom Bootstrap website into a WordPress theme](http://www.taniarascia.com/developing-a-wordpress-theme-from-scratch/)
* [Expand upon WordPress theme with comments and more](http://www.taniarascia.com/wordpress-from-scratch-part-two)
* [Migrate WordPress to a live server](http://www.taniarascia.com/migrating-a-wordpress-site-to-a-live-server/)
* [Add custom metaboxes to WordPress theme](https://www.taniarascia.com/wordpress-part-three-custom-fields-and-metaboxes/)

## License

The code is open source and available under the [MIT License](LICENSE.md).
