<?php
/* register main menu */
//register_nav_menu('main-menu', 'Main Menu');
/*
register_nav_menus( array (
		"main-menu" => "Main Menu",
		"mobile-main-menu" => "Mobile Main Menu",
		"footer-menu" => "Footer Menu"
	)
);
*/

// Automatic cropping of featured images
// https://buckleupstudios.com/auto-resize-wordpress-featured-image-and-crop-if-necessary/
// add_theme_support( 'post-thumbnails' );
// add_image_size($name, $width, $height, $cropBoolean);
// add_image_size('featuredImageCropped', 250, 200, true);
// the_post_thumbnail('featuredImageCropped'); -> put this in templates where featured image is displayed

add_theme_support( 'post-thumbnails' );
add_image_size('thumb', 200, 200, true);
add_image_size('feature', 960, 9999, false);

add_theme_support( 'post-formats', array( 'gallery', 'image', 'video', 'link','status','audio','quote','aside' ) );

// Register sidebars

$sidebar = array(
	'name' => 'Sidebar',
	'id'   => 'sidebar',
	'description' => 'Place sidebar widgets here.'
);
register_sidebar($sidebar);

$social = array(
    'name' => 'Social',
    'id'   => 'social',
    'description' => 'Place social network menu here.'
);
register_sidebar($social);

$TOC = array(
    'name' => 'TOC',
    'id'   => 'toc',
    'description' => 'Table of Contents for MMP350'
);
register_sidebar($TOC);

/* Set excerpt length */
function my_excerpt_length($length) {
    return 30;
}
add_filter('excerpt_length', 'my_excerpt_length');


add_filter('use_default_gallery_style', '__return_false');


// Enqueue Scripts/Styles for our Lightbox
function add_fancybox() {
    wp_enqueue_script( 'fancybox-js', get_template_directory_uri() . '/fancybox/jquery.fancybox.pack.js', array( 'jquery' ), false, true );
    wp_enqueue_style( 'fancybox-style', get_template_directory_uri() . '/fancybox/jquery.fancybox.css' );

    //this is our code that sets up fancybox to use in WP
    wp_enqueue_script( 'fancybox-wp-init', get_template_directory_uri() . '/fancybox/fancybox-wp-init.js', array( 'fancybox-js' ), false, true );

    //this lets you see other images as thumbs
    wp_enqueue_script( 'fancybox-thumbs', get_template_directory_uri() . '/fancybox/helpers/jquery.fancybox-thumbs.js', array( 'fancybox-js' ), false, true );
    wp_enqueue_style( 'fancybox-style-thumbs', get_template_directory_uri() . '/fancybox/helpers/jquery.fancybox-thumbs.css', array('fancybox-style') );
}
add_action( 'wp_enqueue_scripts', 'add_fancybox' );
/* end of fancybox */

/* Boostrap */
function register_bootstrap() {
    wp_enqueue_script( 'bootstrap-js', get_template_directory_uri() . '/bootstrap/js/bootstrap.min.js', array( 'jquery' ), '3.3.2', true );
//    wp_enqueue_style( 'bootstrap.css', get_template_directory_uri() . '/bootstrap/css/bootstrap.min.css?v= 3.3.7' );
}
add_action('wp_enqueue_scripts', 'register_bootstrap');
/* end of bootstrap */

/* Channings Paint Program */
//function register_channing_paint() {
#    wp_enqueue_script( 'channing_paint.js', get_template_directory_uri() . '/channing/channing_paint.js', array( 'jquery' ), '3.3.2', true );
#    wp_enqueue_style( 'channing_paint.css', get_template_directory_uri() . '/channing/channing_paint.css?v= 3.3.7' );
//}

//add_action('wp_enqueue_scripts', 'register_channing_paint');
/* end of bootstrap */
// register_nav_menu('main-menu', 'Main Menu');


/*https://code.tutsplus.com/tutorials/how-to-integrate-a-bootstrap-navbar-into-a-wordpress-theme--wp-33410 */
/* Theme setup */
add_action( 'after_setup_theme', 'wpt_setup' );
    if ( ! function_exists( 'wpt_setup' ) ):
        function wpt_setup() {  
            register_nav_menu( 'primary', __( 'Primary navigation', 'wptuts' ) );
        } endif;


// Add scripts and stylesheets
function register_bootstrap_scripts() {
    wp_enqueue_style( 'bootstrap_css', get_template_directory_uri() . '/css/bootstrap.css', array(), '3.3.7' );
    wp_enqueue_style( 'blog_css', get_template_directory_uri() . '/css/blog.css' );
    wp_enqueue_style( 'carousel_css', get_template_directory_uri() . '/css/carousel.css' );
    wp_enqueue_style( 'style_css', get_template_directory_uri() . '/style.css', array(), '3.3.7' );

    wp_enqueue_style( 'menu_css', get_template_directory_uri() . '/css/menu.css' );
    #wp_enqueue_script( 'bootstrap_js', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery'), '3.3.6', true );
    #wp_enqueue_script( 'carousel_js', get_template_directory_uri() . '/js/carousel.js', array('jquery'), '3.3.6', true );
    wp_enqueue_script( 'menu_js', get_template_directory_uri() . '/js/menu.js', array('jquery'), '3.3.6', true );
}

add_action( 'wp_enqueue_scripts', 'register_bootstrap_scripts' );

/* For bootstrap menu */
/* See this tutorial for details: 
https://code.tutsplus.com/tutorials/how-to-integrate-a-bootstrap-navbar-into-a-wordpress-theme--wp-33410
*/
#require_once('wp_bootstrap_navwalker.php');

// Add Google Fonts
function startwordpress_google_fonts() {
                wp_register_style('OpenSans', '//fonts.googleapis.com/css?family=Open+Sans:400,600,700,800');
                wp_enqueue_style( 'OpenSans');
        }

add_action('wp_print_styles', 'startwordpress_google_fonts');



// Beginning of ajax code
wp_enqueue_script( 'ajax-script', get_template_directory_uri() . '/js/ajax.js' , array('jquery') );
// in JavaScript, object properties are accessed as ajax_object.ajax_url, ajax_object.values
wp_localize_script( 'ajax-script', 'ajax_object',array( 'ajax_url' => admin_url( 'admin-ajax.php' )) );





// Same handler function...
add_action( 'wp_ajax_login', 'login' );
add_action( 'wp_ajax_send_email', 'send_email' );
add_action( 'wp_ajax_send_contact', 'send_contact' );
add_action( 'wp_ajax_log_location', 'log_location' );
add_action( 'wp_ajax_create_polygon_point', 'create_polygon_point' );
add_action( 'wp_ajax_create_polygon', 'create_polygon' );


function login() {
    global $wpdb;
    $LOGIN_ERROR_INVALID_USERNAME_PASSWORD="Bad username or password";
    $servername = "localhost:8888";
    $username = "";  // named user in the user table.
    $password = "";
    $db_username = "root";  // database access
    $db_password = "root";  //
    $db = "wordpress";


    $username = $_POST['username'];
    $password = $_POST['password'];

    #echo($username);
    #echo($password);

    try{
        if (function_exists('mysqli_connect')) {

            //mysqli is installed
            $con = mysqli_connect("localhost","admin","admin","inmap","8888");
            mysqli_select_db("portfolio", $con);
            // Check connection
            if (mysqli_connect_errno())
            {
                echo "Failed to connect to MySQL: " . mysqli_connect_error();
                wp_die();
            } else {
                echo "Connected to db with mysqli library " . " <br/> ";
                // Now that you're logged in you can query the user table
                $SQL = "SELECT user_id FROM User WHERE user_name = '$username' AND password = '$password'";
                #$SQL = "SHOW TABLES";
                #echo($SQL);
                $result = mysqli_query($con,$SQL);
                echo("Number of row " . mysqli_num_rows($result))."<br/>";
                if ($result){
                    while ($row = mysqli_fetch_array($result)) {
                        echo "Your userid is -". $row['user_id'] . "-";
                        wp_die();
                        break; // Only one row expected
                    }
                    mysqli_free_result($result);

                } else {
                    echo $LOGIN_ERROR_INVALID_USERNAME_PASSWORD . " <br/> " .$SQL;
                }

           }
        } else {
            $con = mysql_connect("localhost:8888","root","root","portfolio");
        }



    } catch (Exception $e) {
        echo 'Caught exception: ',  $e->getMessage(), "\n";

    }
    // This is necessary to stop a 0 error code from being returned.
    wp_die();
}

/* Slidepanel */
#wp_enqueue_script( 'wpb_slidepanel', get_template_directory_uri() . '/js/slidepanel.js', array('jquery'), '20160909', true );
function create_polygon(){
    echo("functions.php create_polygon start");
    // NB Settings to secure config file
    global $wpdb;
    $LOG_LOCATION_ERROR ="Location not logged.";
    // NB Move to some form of encrypted init file
    $servername = "db";
    $username = "";  // named user in the user table.
    $password = "";
    $db_username = "root";  // database access
    $db_password = "Nevsky123";  //
    $db = "inmap";
    $port = "3306";


    try{
        $user_name="unknown";
        if (isset($_REQUEST["user_name"])){
            $user_name= $_REQUEST['user_name'];
        }
        $user_id=0;
        if (isset($_REQUEST["user_id"])){
            $user_id= $_REQUEST['user_id'];
        }
        $today = date("Y-m-d");
        $location=NULL;
        if (isset($_REQUEST["location"])){
            $location= $_REQUEST['location'];
        }
        $coordinates=NULL;
        if (isset($_REQUEST["coordinates"])){
            $coordinates= $_REQUEST['coordinates'];
        }
        $pv_group_id=5;
        if (isset($_REQUEST["pv_group_id"])){
            $pv_group_id= $_REQUEST['pv_group_id'];
        }
        $pv_group='Landcover';
        if (isset($_REQUEST["pv_group"])){
            $pv_group= $_REQUEST['pv_group'];
        }
        $pv_type_id=1;
        if (isset($_REQUEST["pv_type_id"])){
            $pv_type_id= $_REQUEST['pv_type_id'];
        }
        $pv_type='polygon';
        if (isset($_REQUEST["pv_type"])){
            $pv_type= $_REQUEST['pv_type'];
        }
        $pv_type_id=1;
        if (isset($_REQUEST["pv_type_id"])){
            $pv_type_id= $_REQUEST['pv_type_id'];
        }
        $lng_min=NULL;
        if (isset($_REQUEST["lng_min"])){
            $lng_min= $_REQUEST['lng_min']; 
        }
        $lng_max=NULL;
        if (isset($_REQUEST["lng_max"])){
            $lng_max= $_REQUEST['lng_max']; 
        }
        $lat_min=NULL;
        if (isset($_REQUEST["lat_min"])){
            $lat_min= $_REQUEST['lat_min']; 
        }
        $lat_max=NULL;
        if (isset($_REQUEST["lat_max"])){
            $lat_max= $_REQUEST['lat_max']; 
        }

        $note=NULL;
        if (isset($_REQUEST["note"])){
            $note= $_REQUEST['note'];   
        }

        $con = mysqli_connect($servername,$db_username,$db_password,$db,$port);

        $query="INSERT INTO poly_vertex (pv_group,pv_group_id,pv_type,pv_type_id,comments,coordinates,gps_latitude_min,gps_latitude_max,gps_longitude_min,gps_longitude_max,created_by,creation_date,last_modified_by) VALUES ";
        $query.="('$pv_group',$pv_group_id,'$pv_type',$pv_type_id,'$note','$coordinates',$lat_min,$lat_max,$lng_min,$lng_max,$user_id,'$today',$user_id)";
        $bReturnSQL=false;
        mysqli_select_db($con,"inmap");
        $result = mysqli_query($con,$SQL);
        if ($result){
            $new_id=mysqli_insert_id($con);
            echo($new_id);
            if ($bReturnSQL){
                echo($query);
            }
        } else {
            echo("Insert failure for query ".$query);
        } 

    } catch (Exception $e) {
        echo 'Caught exception: ',  $e->getMessage(), "\n";
    }
    wp_die();
}
function create_polygon_point(){
    // NB Settings to secure config file
    #echo("in functions.php create_polygon_point()");
    global $wpdb;
    $LOG_LOCATION_ERROR ="Location not logged.";
    // NB Move to some form of encrypted init file
    $servername = "db";
    $username = "default";  // named user in the user table.
    $password = "";
    $db_username = "root";  // database access
    $db_password = "Nevsky123";  //
    $db = "inmap";
    $port = "3306";

    try{
        #session_start();
        #include "../../config/sambung_mysqli.php";
        
        $con = mysqli_connect($servername,$db_username,$db_password,$db,$port);
        $username="unknown";
        if (isset($_REQUEST["username"])){
            $username= $_REQUEST['username'];
        }

        $location=NULL;
        if (isset($_REQUEST["location"])){
            $location= $_REQUEST['location'];
        }
        $lng=0;
        if (isset($_REQUEST["lng"])){
            $lng= $_REQUEST['lng']; 
            #echo("lng");
            #echo($lng);
            #echo("after");
        }
        $lat=0;
        if (isset($_REQUEST["lat"])){
            $lat= $_REQUEST['lat']; 
        }
        $message=NULL;
        if (isset($_REQUEST["message"])){
            $message= $_REQUEST['message']; 
        }
        $note=NULL;
        if (isset($_REQUEST["note"])){
            $note= $_REQUEST['note'];   
        }
        // NB to stored procedure!

        $SQL="INSERT INTO log (message,lng,lat,location,username) VALUES ('$message',".$lng.",".$lat.","."'$location','$username')";

        if ($con){
           # echo("connection successful - $SQL");
        }

        $bReturnSQL=false;
        mysqli_select_db($con,"inmap");
        $result = mysqli_query($con,$SQL);
        if ($result){
            $new_id=mysqli_insert_id($con);
            echo($new_id);
            if ($bReturnSQL){
                // NB Only for debug!
                echo($SQL);
            }
        }
        else {
            echo("Insert failure for query ".$SQL);
        }

    } catch (Exception $e) {
        echo 'Caught exception: ',  $e->getMessage(), "\n";

    }
    wp_die();
}
function log_location() {
    #echo("functions.php log_location() start");
    global $wpdb;
    $LOG_LOCATION_ERROR ="Location not logged.";
    // NB Move to some form of encrypted init file
    $servername = "db";
    $username = "unknown";  // named user in the user table.
    $password = "";
    $db_username = "root";  // database access
    $db_password = "Nevsky123";  //
    $db = "inmap";
    $port = "3306";
    $message="placeholder message";
    $location = "placeholder location";
    #session_start();
    #include "../../config/sambung_mysqli.php";

    $username="unknown";
    if (isset($_REQUEST["username"])){
        $username= $_REQUEST['username'];
    }

    $location=NULL;
    if (isset($_REQUEST["location"])){
        $location= $_REQUEST['location'];
    }
    $lng=NULL;
    if (isset($_REQUEST["lng"])){
        $lng= $_REQUEST['lng']; 
    }
    $lat=NULL;
    if (isset($_REQUEST["lat"])){
        $lat= $_REQUEST['lat']; 
    }
    $message=NULL;
    if (isset($_REQUEST["message"])){
        $message= $_REQUEST['message']; 
    }
    $note=NULL;
    if (isset($_REQUEST["note"])){
        $note= $_REQUEST['note'];   
    }

    try{
        if (function_exists('mysqli_connect')) {
            // Note that db is being used - the docker name - not localhost
            // see the following link for good docker security discussion.
            //http://stackoverflow.com/questions/41129451/error-mysqli-connect-no-such-file-or-directory-php-7-fpm-mariadb-nginx
            $con = mysqli_connect($servername,$db_username,$db_password,$db,$port);

            // Check connection
            if (mysqli_connect_errno())
            {
                echo "Failed to connect to MySQL: " . mysqli_connect_error();
                #echo(phpinfo());
                wp_die();
            } else {
                //echo "Connected to db with mysqli library. <br/>Note that this is a process under development." . " <br/> ";
                mysqli_select_db($con,"inmap");

                $SQL="INSERT INTO log (message,lng,lat,location,username) VALUES ('$message','$lng','$lat','$location','$username')";

                #if ($mysqli->query($query)){
                #        $new_id=$mysqli->insert_id;
                #        echo($new_id);
                #    }
                #else {echo("Insert failure for query ".$query);}

                // Now that you're logged in you can query the user table
                #$SQL = "INSERT INTO bm_contact_messages (name, email, subject,message) VALUES ('$sName','$sEmail','$sSubject','$sMessage')";
                #$SQL = "SHOW TABLES";
                #echo($SQL);11
                #echo($SQL);
                $result = mysqli_query($con,$SQL);
                if ($result){
                    //echo("Number of rows impacted by query " . mysqli_num_rows($result))."<br/>";
                    //while ($row = mysqli_fetch_array($result)) {
                    //    echo "Your userid is -". $row['user_id'] . "-";
                        echo("Location was successfully logged");
                        mysqli_free_result($result);
                        wp_die();
                        break; // Only one row expected
                    //}
 
                } else {
                    echo $LOG_LOCATION_ERROR . " <br/> <br/>" .$SQL;
                }

           }            

            /*
            $SQL = "INSERT INTO bm_contact_messages (user_key, email, subject,message) VALUES ('$iUserKey','$sEmail','$sSubject','$sMessage')";
            echo("in send contact 4 ".$SQL);
            #$mysqli = new mysqli($servername, $db_username, $db_password, $db,$port);
            $mysqli = new mysqli("127.0.0.1:3308", $db_username, $db_password,"bm");
            if ($result = $mysqli->query($SQL) ) {
               echo 'Contact message inserted into contact_messages ID is: '.$mysqli->insert_id;
            } else {
                echo('Contact message was NOT inserted into table');
            }
            wp_die();
            */
        } else {
            //$con = mysql_connect("localhost:8888","root","root","portfolio");
            echo("mysqli not installed");
        }

    } catch (Exception $e) {
        echo 'Caught exception: ',  $e->getMessage(), "\n";

    }
    // This is necessary to stop a 0 error code from being returned.
    wp_die();
}


function send_contact() {

    global $wpdb;
    $SEND_CONTACT_ERROR ="Contact did not update";
    // NB Move to some form of encrypted init file
    $servername = "db";
    $username = "";  // named user in the user table.
    $password = "";
    $db_username = "root";  // database access
    $db_password = "Nevsky123";  //
    $db = "bm";
    $port = "3306";


    $sName = $_REQUEST['name'];
    $sEmail = $_REQUEST['email'];
    $sMessage = $_REQUEST['message'];
    $sSubject = $_REQUEST['subject'];
    $iUserKey=1;
    //echo("Contacting Brian MacMillan: ".$sMessage ." ". $sEmail ." ".$sName);
    try{
        if (function_exists('mysqli_connect')) {
            // Note that db is being used - the docker name - not localhost
            // see the following link for good docker security discussion.
            //http://stackoverflow.com/questions/41129451/error-mysqli-connect-no-such-file-or-directory-php-7-fpm-mariadb-nginx
            $con = mysqli_connect($servername,$db_username,$db_password,$db,$port);

            // Check connection
            if (mysqli_connect_errno())
            {
                echo "Failed to connect to MySQL: " . mysqli_connect_error();
                #echo(phpinfo());
                wp_die();
            } else {
                //echo "Connected to db with mysqli library. <br/>Note that this is a process under development." . " <br/> ";
                mysqli_select_db("bm", $con);
                // Now that you're logged in you can query the user table
                $SQL = "INSERT INTO bm_contact_messages (name, email, subject,message) VALUES ('$sName','$sEmail','$sSubject','$sMessage')";
                #$SQL = "SHOW TABLES";
                #echo($SQL);
                $result = mysqli_query($con,$SQL);
                if ($result){
                    //echo("Number of rows impacted by query " . mysqli_num_rows($result))."<br/>";
                    //while ($row = mysqli_fetch_array($result)) {
                    //    echo "Your userid is -". $row['user_id'] . "-";
                        echo("Message delivered");
                        mysqli_free_result($result);
                        wp_die();
                        break; // Only one row expected
                    //}
 
                } else {
                    echo $LOGIN_ERROR_INVALID_USERNAME_PASSWORD . " <br/>Invalid user name or password for query: <br/>" .$SQL;
                }

           }            
           echo("<br/>End of send contact.");

            /*
            $SQL = "INSERT INTO bm_contact_messages (user_key, email, subject,message) VALUES ('$iUserKey','$sEmail','$sSubject','$sMessage')";
            echo("in send contact 4 ".$SQL);
            #$mysqli = new mysqli($servername, $db_username, $db_password, $db,$port);
            $mysqli = new mysqli("127.0.0.1:3308", $db_username, $db_password,"bm");
            if ($result = $mysqli->query($SQL) ) {
               echo 'Contact message inserted into contact_messages ID is: '.$mysqli->insert_id;
            } else {
                echo('Contact message was NOT inserted into table');
            }
            wp_die();
            */
        } else {
            //$con = mysql_connect("localhost:8888","root","root","portfolio");
            echo("mysqli not installed");
        }

    } catch (Exception $e) {
        echo 'Caught exception: ',  $e->getMessage(), "\n";

    }
    // This is necessary to stop a 0 error code from being returned.
    wp_die();
}

function send_mail(){
    // $to="brmacmillan@gmail.com;"
    // $subject ="test message from WP";
    // $message="message content";
    // wp_mail( $to, $subject, $message, $headers = '', $attachments = array() ) {
}



add_action( 'loop_start', 'before_single_post_content' );
function before_single_post_content() {
 if ( is_singular( 'post') ) {
    // $cf = get_post_meta( get_the_ID(), 'custom_field_name', true );
    // if( ! empty( $cf ) ) {
    // echo '<div class="before-content">'. $cf .'</div>';
    //     }
   }
}

// https://codex.wordpress.org/Customizing_the_Login_Form
function my_login_logo() { ?>
    <style type="text/css">
        #login h1 a, .login h1 a {
            background-image: url("<?php echo get_stylesheet_directory_uri(); ?>/screenshot_login.png");
            height:300px;
            width:400px;
            background-size: 410px 310px;
            background-repeat: no-repeat;
            padding-bottom: 30px;
        }
    </style>
<?php }
add_action( 'login_enqueue_scripts', 'my_login_logo' );

function my_login_logo_url() {
    return home_url();
}
add_filter( 'login_headerurl', 'my_login_logo_url' );

function my_login_logo_url_title() {
    return 'Brian MacMillan';
}
add_filter( 'login_headertitle', 'my_login_logo_url_title' );

function my_login_stylesheet() {
    wp_enqueue_style( 'custom-login', get_stylesheet_directory_uri() . '/css/style-login.css' );
    wp_enqueue_script( 'custom-login', get_stylesheet_directory_uri() . '/js/style-login.js' );
}
add_action( 'login_enqueue_scripts', 'my_login_stylesheet' );


function register_inmap() {
    wp_register_style( 'stylesheet_name', get_stylesheet_directory_uri() . '/inmap/field_14_android.css' );
    wp_register_script('field_map', 
        get_template_directory_uri() .'/inmap/field_map.js',
        array ('jquery'));
    wp_register_script('field', 
        get_template_directory_uri() .'/inmap/field.js',
        array ('jquery'));

}
add_action( 'init', 'register_inmap' );

function conditionally_enqueue() {
    // only enqueue on inmap page
        #wp_enqueue_script('field_map');
        #wp_enqueue_script('field.js');
    if ( is_page('p5')){
        wp_enqueue_script( 'p5', get_template_directory_uri() . '/js/p5.min.js' , array('jquery') );
        wp_enqueue_script( 'sketch', get_template_directory_uri() . '/js/ronald/sketch.js' , array('jquery') );
    }
    if ( is_page( 'inmap' ) ) {
    #if (is_page_template('Field')) {
        wp_enqueue_style( 'stylesheet_name' );
        #wp_enqueue_script( 'jquery-1.7.2.min', get_template_directory_uri() . '/js/inmap/jquery-1.7.2.min.js','' , '20160910', true );
        wp_enqueue_script( 'exif', get_template_directory_uri() . '/js/inmap/exif.js', array('jquery'), '20160910', true );
        wp_enqueue_script( 'binaryajax.js', get_template_directory_uri() . '/js/inmap/binaryajax.js', array('jquery'), '20160910', true );
        wp_enqueue_script( 'jquery.exif-restorer.js', get_template_directory_uri() . '/js/inmap/jquery/exif-restorer.js', array('jquery'), '20160910', true );
        #wp_enqueue_script( 'field_map.js', get_template_directory_uri() . '/inmap/field_map.js', array('jquery'), '20160910', true );
        #wp_enqueue_script( 'field.js', get_template_directory_uri() . '/inmap/field.js', array('jquery'), '20160910', true );
        wp_enqueue_script( 'google maps', 'https://maps.googleapis.com/maps/api/js?sensor=false','' , '20160910', true );

        wp_enqueue_script('field_map');
        wp_enqueue_script('field');

    }
}
add_action( 'wp_enqueue_scripts', 'conditionally_enqueue' );

#wp_enqueue_script( 'field_map', get_template_directory_uri() . '/inmap/field_map.js', array('jquery'));
#wp_enqueue_script( 'field.js', get_template_directory_uri() . '/inmap/field.js', array('jquery') );

function custom_settings_page_setup() {
  add_settings_section('section', 'All Settings', null, 'theme-options');
  add_settings_field('twitter', 'Twitter URL', 'setting_twitter', 'theme-options', 'section');
  add_settings_field('github', 'GitHub URL', 'setting_github', 'theme-options', 'section');
  add_settings_field('facebook', 'Facebook URL', 'setting_facebook', 'theme-options', 'section');
  register_setting('section', 'twitter');
  register_setting('section', 'github');
  register_setting('section', 'facebook');
}
add_action( 'admin_init', 'custom_settings_page_setup' );

// Support Featured Images
add_theme_support( 'post-thumbnails' );

// Custom Post Type
function create_custom_post() {
    register_post_type('custom-post',
            array(
            'labels' => array(
                    'name' => __('Custom Post'),
                    'singular_name' => __('Custom Post'),
            ),
            'public' => true,
            'has_archive' => true,
            'supports' => array(
                    'title',
                    'editor',
                    'thumbnail',
                  'custom-fields'
            )
    ));
}
add_action('init', 'create_custom_post'); 


/*
function wp_login($username, $password, $deprecated = '') {
    _deprecated_function( __FUNCTION__, '2.5.0', 'wp_signon()' );
    global $error;
 
    $user = wp_authenticate($username, $password);
 
    if ( ! is_wp_error($user) )
        return true;
 
    $error = $user->get_error_message();
    return false;
}
*/
/*
function wp_signon( $credentials = array(), $secure_cookie = '' ) {
    if ( empty($credentials) ) {
        $credentials = array(); // Back-compat for plugins passing an empty string.
 
        if ( ! empty($_POST['log']) )
            $credentials['user_login'] = $_POST['log'];
        if ( ! empty($_POST['pwd']) )
            $credentials['user_password'] = $_POST['pwd'];
        if ( ! empty($_POST['rememberme']) )
            $credentials['remember'] = $_POST['rememberme'];
    }
 
    if ( !empty($credentials['remember']) )
        $credentials['remember'] = true;
    else
        $credentials['remember'] = false;
 
    /**
     * Fires before the user is authenticated.
     *
     * The variables passed to the callbacks are passed by reference,
     * and can be modified by callback functions.
     *
     * @since 1.5.1
     *
     * @todo Decide whether to deprecate the wp_authenticate action.
     *
     * @param string $user_login    Username, passed by reference.
     * @param string $user_password User password, passed by reference.
     */
/*
    do_action_ref_array( 'wp_authenticate', array( &$credentials['user_login'], &$credentials['user_password'] ) );
 
    if ( '' === $secure_cookie )
        $secure_cookie = is_ssl();
 
    /**
     * Filters whether to use a secure sign-on cookie.
     *
     * @since 3.1.0
     *
     * @param bool  $secure_cookie Whether to use a secure sign-on cookie.
     * @param array $credentials {
     *     Array of entered sign-on data.
     *
     *     @type string $user_login    Username.
     *     @type string $user_password Password entered.
     *     @type bool   $remember      Whether to 'remember' the user. Increases the time
     *                                 that the cookie will be kept. Default false.
     * }
     */
/*
    $secure_cookie = apply_filters( 'secure_signon_cookie', $secure_cookie, $credentials );
 
    global $auth_secure_cookie; // XXX ugly hack to pass this to wp_authenticate_cookie
    $auth_secure_cookie = $secure_cookie;
 
    add_filter('authenticate', 'wp_authenticate_cookie', 30, 3);
 
    $user = wp_authenticate($credentials['user_login'], $credentials['user_password']);
 
    if ( is_wp_error($user) ) {
        if ( $user->get_error_codes() == array('empty_username', 'empty_password') ) {
            $user = new WP_Error('', '');
        }
 
        return $user;
    }
 
    wp_set_auth_cookie($user->ID, $credentials['remember'], $secure_cookie);
    /**
     * Fires after the user has successfully logged in.
     *
     * @since 1.5.0
     *
     * @param string  $user_login Username.
     * @param WP_User $user       WP_User object of the logged-in user.
     */
/*
    do_action( 'wp_login', $user->user_login, $user );
    return $user;
}
*/
//wp_enqueue_script( 'wpb_slidepanel', get_template_directory_uri() . '/js/navigation.js', array('jquery'), '20160910', true );

#jquery-1.7.2.min.js"
#exif.js"
#binaryajax.js"
#jquery.exif-restorer.js"
#field_map.js"
#field.js"
#"https://maps.googleapis.com/maps/api/js?sensor=false"




?>